/*
 * @(#)Blank.java
 *
 * This file is part of webCDwriter - Network CD Writing.
 *
 * Copyright (C) 2001 Jörg P. M. Haeger
 *
 * webCDwriter is free software. See CDcreator.java for details.
 *
 * Jörg Haeger, 11.06.2001
 */

public class Blank extends Burn
{
	public Blank(boolean all)
	{
		this.all = all;
	}

	protected void execBurnCommand()
	{
		execCommand("setSpeed " + Options.speed);
		String cmd = "blank ";
		if (all)
			cmd += "all";
		else
			cmd += "fast";
		execCommand(cmd);
	}

	void showResult()
	{
	}

	private boolean all;
}
